---
id: v2025-campaign-activated
title: CampaignActivated
pagination_label: CampaignActivated
sidebar_label: CampaignActivated
sidebar_class_name: gosdk
keywords: ['go', 'Golang', 'sdk', 'CampaignActivated', 'V2025CampaignActivated'] 
slug: /tools/sdk/go/v2025/models/campaign-activated
tags: ['SDK', 'Software Development Kit', 'CampaignActivated', 'V2025CampaignActivated']
---

# CampaignActivated

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Campaign** | [**CampaignActivatedCampaign**](campaign-activated-campaign) |  | 

## Methods

### NewCampaignActivated

`func NewCampaignActivated(campaign CampaignActivatedCampaign, ) *CampaignActivated`

NewCampaignActivated instantiates a new CampaignActivated object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewCampaignActivatedWithDefaults

`func NewCampaignActivatedWithDefaults() *CampaignActivated`

NewCampaignActivatedWithDefaults instantiates a new CampaignActivated object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetCampaign

`func (o *CampaignActivated) GetCampaign() CampaignActivatedCampaign`

GetCampaign returns the Campaign field if non-nil, zero value otherwise.

### GetCampaignOk

`func (o *CampaignActivated) GetCampaignOk() (*CampaignActivatedCampaign, bool)`

GetCampaignOk returns a tuple with the Campaign field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetCampaign

`func (o *CampaignActivated) SetCampaign(v CampaignActivatedCampaign)`

SetCampaign sets Campaign field to given value.



